Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck
Class AbstractConfigBuilderTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.mule.tck.AbstractMuleTestCase
                  org.mule.tck.FunctionalTestCase
                      org.mule.tck.AbstractScriptConfigBuilderTestCase
                          org.mule.tck.AbstractConfigBuilderTestCase

All Implemented Interfaces:
  junit.framework.Test, org.mule.tck.TestCaseWatchdogTimeoutHandler

    public abstract class AbstractConfigBuilderTestCase

extends AbstractScriptConfigBuilderTestCase

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.tck.AbstractMuleTestCase
`org.mule.tck.AbstractMuleTestCase.TestInfo`

Field Summary

Fields inherited from class org.mule.tck.AbstractMuleTestCase
`callbackCalled, CLASSNAME_ANNOTATIONS_CONFIG_BUILDER, DEFAULT_MULE_TEST_TIMEOUT_SECS, IGNORED_DOT_MULE_DIRS, LOCK_TIMEOUT, logger, muleContext, numPorts, ports, PROPERTY_MULE_TEST_TIMEOUT, RECEIVE_TIMEOUT, TEST_MESSAGE, testTimeoutSecs`

Constructor Summary
`AbstractConfigBuilderTestCase(boolean legacy)`

Method Summary
`protected boolean` | `isGracefulShutdown()`
`void` | `testBindngProxyCreation()`
`void` | `testConnectorConfig()`
`void` | `testEndpointConfig()`
`void` | `testEndpointProperties()`
`void` | `testEnvironmentProperties()`
`void` | `testExceptionStrategy2()`
`void` | `testGlobalEndpointConfig()`
`void` | `testGlobalInterceptorStack()`
`void` | `testInboundRouterConfig2()`
`void` | `testInterceptors()`
`void` | `testManagerConfig()`
`void` | `testModelConfig()`
`void` | `testMuleConfiguration()`
`void` | `testOutboundRouterConfig2()`
`void` | `testPoolingConfig()`
`void` | `testQueueProfileConfig()`
`void` | `testThreadingConfig()`
`void` | `testTransactionConfig()`
`void` | `testTransformerConfig()`

Methods inherited from class org.mule.tck.AbstractScriptConfigBuilderTestCase
`testBindingConfig, testDescriptorEndpoints, testEndpointPropertiesConfig, testExceptionStrategy, testInboundRouterConfig, testOutboundRouterConfig, testResponseRouterConfig`

Methods inherited from class org.mule.tck.FunctionalTestCase
`getBuilder, getComponent, getComponent, getConfigResources, getFunctionalTestComponent, loadResource, loadResourceAsString`

Methods inherited from class org.mule.tck.AbstractMuleTestCase
`addBuilders, checkPorts, configureMuleContext, createMuleContext, createObject, createObject, createTestInfo, createWatchdog, disposeManager, doSetUp, doTearDown, findFreePorts, getConfigurationResources, getPorts, getSensingNullMessageProcessor, getStartUpProperties, getTestConnector, getTestEvent, getTestEvent, getTestEvent, getTestEvent, getTestEvent, getTestEvent, getTestEventContext, getTestEventContext, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEvent, getTestInboundEvent, getTestInboundEvent, getTestInfo, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestService, getTestService, getTestService, getTestSession, getTestTimeoutSecs, getTestTransactedInboundEndpoint, getTestTransformer, getTriggerableMessageSource, getTriggerableMessageSource, giveTheTestSomeTimeToCleanUpAndThenKillIt, handleTimeout, initialiseObject, initTestTimeoutSecs, isDisabledInThisEnvironment, isDisabledInThisEnvironment, isDisposeManagerPerSuite, isExcluded, isOffline, isPortFree, isStartContext, registerTestMethod, run, runBare, setDisposeManagerPerSuite, setFailOnTimeout, setName, setStartContext, setUp, suitePostTearDown, suitePreSetUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, runTest, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractConfigBuilderTestCase

    public AbstractConfigBuilderTestCase(boolean legacy)

Method Detail

### isGracefulShutdown

    protected boolean isGracefulShutdown()

  Overrides:
    `isGracefulShutdown` in class `org.mule.tck.AbstractMuleTestCase`

### testManagerConfig

    public void testManagerConfig()
                           throws Exception

  Overrides:
    `testManagerConfig` in class `AbstractScriptConfigBuilderTestCase`
  Throws:
    `Exception`

### testConnectorConfig

    public void testConnectorConfig()
                             throws Exception

  Overrides:
    `testConnectorConfig` in class `AbstractScriptConfigBuilderTestCase`
  Throws:
    `Exception`

### testGlobalEndpointConfig

    public void testGlobalEndpointConfig()
                                  throws MuleException

  Overrides:
    `testGlobalEndpointConfig` in class `AbstractScriptConfigBuilderTestCase`
  Throws:
    `MuleException`

### testEndpointConfig

    public void testEndpointConfig()
                            throws MuleException

  Overrides:
    `testEndpointConfig` in class `AbstractScriptConfigBuilderTestCase`
  Throws:
    `MuleException`

### testExceptionStrategy2

    public void testExceptionStrategy2()

### testTransformerConfig

    public void testTransformerConfig()

  Overrides:
    `testTransformerConfig` in class `AbstractScriptConfigBuilderTestCase`

### testModelConfig

    public void testModelConfig()
                         throws Exception

  Overrides:
    `testModelConfig` in class `AbstractScriptConfigBuilderTestCase`
  Throws:
    `Exception`

### testOutboundRouterConfig2

    public void testOutboundRouterConfig2()

### testInboundRouterConfig2

    public void testInboundRouterConfig2()

### testThreadingConfig

    public void testThreadingConfig()
                             throws DefaultMuleException

  Throws:
    `DefaultMuleException`

### testPoolingConfig

    public void testPoolingConfig()

### testQueueProfileConfig

    public void testQueueProfileConfig()

### testEndpointProperties

    public void testEndpointProperties()
                                throws Exception

  Throws:
    `Exception`

### testTransactionConfig

    public void testTransactionConfig()
                               throws Exception

  Throws:
    `Exception`

### testEnvironmentProperties

    public void testEnvironmentProperties()

### testBindngProxyCreation

    public void testBindngProxyCreation()

### testMuleConfiguration

    public void testMuleConfiguration()

### testGlobalInterceptorStack

    public void testGlobalInterceptorStack()

### testInterceptors

    public void testInterceptors()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.